---
title: Kakoune
---

[Kakoune]: https://kakoune.org

Here is a list of [Kakoune]-related software I've written:

[TOC]

## `pygments-kakoune`

An implementation of Kakoune command lexing for the Pygments syntax highlighting
library. [Repo](https://codeberg.org/ficd/pygments-kakoune)

## `kak-ashen`

Implementation of [Ashen](https://codeberg.org/ficd/ashen) for Kakoune.
[Repo](https://codeberg.org/ficd/kak-ashen)

## `kak-search-highlight`

Plugin for interactively highlighting search terms in Kakoune.
[Repo](https://codeberg.org/ficd/kak-search-highlight)

## `kak-ltex-dictionary`

Hack implementing "add to dictionary" functionality for
[`ltex-ls`](https://github.com/ltex-plus/ltex-ls-plus) through `kakoune-lsp`.
[Repo](https://codeberg.org/ficd/kak-ltex-dictionary)

## `kak-autospell`

Small plugin to make working with Kakoune `stdlib`'s `spell`' plugin more
convenient. [Repo](https://codeberg.org/ficd/kak-autospell)

## `kak-fish`

Implementation of `fish %{...}` command evaluation for Kakoune.
[Repo](https://codeberg.org/ficd/kak-fishr)

## `kak-title-bar`

Plugin implementing a live buffer list as the terminal window title.
[Repo](https://codeberg.org/ficd/kak-title-bar)

## `kak-lsp-diags`

Companion plugin to `kakoune-lsp` adding inlay diagnostics on hover support.
[Repo](https://codeberg.org/ficd/kak-lsp-diags)

## `byline.kak`

Fork of [`byline.kak`](https://github.com/evanrelf/byline.kak) (which adds
Helix-like behavior to `x` and `X`) --- improving performance by 17 times.
[Repo](https://codeberg.org/ficd/byline.kak)
